# RequestException - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.bot.exceptions / RequestException

# RequestException

(common) `sealed class RequestException : IOException` (source)

### Properties

(common)

#### cause

`open val cause: Throwable?`

(common)

#### plainAnswer

`val plainAnswer: String`

(common)

#### response

`val response: Response`

### Inheritors

(common)

#### CommonRequestException

`class CommonRequestException : RequestException`

(common)

#### InvalidPhotoDimensionsException

`class InvalidPhotoDimensionsException : RequestException`

(common)

#### MessageIsNotModifiedException

`class MessageIsNotModifiedException : RequestException`

(common)

#### MessageToEditNotFoundException

`class MessageToEditNotFoundException : RequestException`

(common)

#### ReplyMessageNotFoundException

`class ReplyMessageNotFoundException : RequestException`

(common)

#### UnauthorizedException

`class UnauthorizedException : RequestException`